@use "../../globals.scss";

body {
  color: var(--text-primary-color);

  & > .overlay {
    top: 0;
    z-index: 30;
    position: fixed;
    width: 100%;
    height: 100%;
  }
  & > #heading {
    font-size: 275%;
    font-weight: 600;
  }
  & > .timetable {
    .cornerCell {
      @include globals.button-like;
    }
  }
  & > footer {
    font-size: smaller;
    text-align: center;
  }
}

// popup for parameter entry
body > .popup {
  &:not(.shown) {
    display: none;
  }

  top: 0;
  z-index: 20; // less than overlay
  position: fixed;
  width: 100%;
  height: 100%;
  overflow: hidden;
  box-sizing: border-box;
  
  // create background
  &::before{
    position: absolute;
    background-color: var(--background-color);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    opacity: 50%;
    content: "";
    z-index: -1;
  }

  // center align contents
  display: flex;
  justify-content: center;
  align-items: center;

  & > .holder {
    z-index: 1;
    padding:1em;

    background-color: var(--background-color);
    box-sizing: border-box;

    background-color: var(--background-color);
    box-shadow: 0 0.1em 0.5em var(--shadow-color);

    max-width: 100%;
    min-width: min(100%, 40em);
    max-height: 90%;
    // overflow: hidden;

    display: grid;
    grid-template-areas:
      "header"
      "textarea"
      "footer"
    ;
    row-gap: 0.3em;

    grid-template-columns: 1fr;
    grid-template-rows: max-content 1fr max-content;

    & > .header {
      grid-area: header;
      display: flex;
      justify-content: space-between;
      column-gap: 2em;

      & > .title {
        margin: 0.3em;
        // align-self: end;
        font-size: inherit;
        border-bottom: 1px solid var(--border-secondary-color);
        border-radius: var(--border-radius);
        flex-grow: 1;
      }
      & > .select-profile {
        margin: 0.3em;
        // justify-self: end;
        // height: 1em;
        width: 8em;
        padding: 0.1em 1em;
      }
    }
    & > .textarea {
      grid-area: textarea;
      border-radius: var(--border-radius);
      border: 1px solid var(--border-secondary-color);
      min-height: 10em;
      min-width: 10em;;
    }
    & > .footer {
      grid-area: footer;
      margin-top: 0.5em;
      
      display: flex;
      justify-content: center;
      column-gap: 2em;

      & > a {
        color: unset;
        text-decoration: unset;
      }
      & > * {
        padding: 0.1em 1em;
      }
    }
  }
}
